﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        public delegate void ShowDelegate(string text);//声明委托
        public event ShowDelegate ShowDelegateEventHandler;//声明事件

        public string text;//public变量
        public ShowDelegate delegateShow;//public委托变量

        private void Form2_Load(object sender, EventArgs e)
        {
            this.textBox1.Text = text;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //写法1：用事件
            if (ShowDelegateEventHandler != null)
                ShowDelegateEventHandler(this.textBox1.Text);

            //写法2：用委托
            delegateShow(this.textBox1.Text);
            this.Close();
        }
    }
}
